%define major	0
%define libname %mklibname opensync %major

Name:	 	libopensync
Summary: 	Multi-platform PIM synchronization framework
Version: 	0.22
Release: 	%mkrel 6
License:	GPL
Group:		System/Libraries
URL:		http://www.opensync.org/
Source:		%name-%version.tar.bz2
Patch0:		libopensyc-python-lib-check-lib64.patch
Patch1:		libopensync-linkage_fix.diff
Patch2:		libopensync-python-fix.patch
Patch3:		libopensync-swig-fix.patch
Patch4:		libopensync-0.22-unusedvar.patch
Patch5:		libopensync-0.22-swig-version-check-fix.patch
Patch6:		libopensync-0.22-automake-1.13.patch
Patch7:		libopensync-0.22-build-fix.patch
BuildRoot:	%_tmppath/%name-%version-buildroot
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	python-devel
BuildRequires:	sqlite3-devel
BuildRequires:	swig

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/opensync
%_libdir/osplugin

%description
OpenSync is a synchronization framework that is platform and distribution
independent.  It consists of several plugins that can be used to connect to
devices, a powerful sync-engine and the framework itself.  The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files.


%package -n %libname
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:	%name = %version-%release

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%description -n %libname
Dynamic libraries from %name.


%package -n %libname-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%libname = %version
Provides: 	opensync-devel = %version-%release
Provides:	%name-devel = %version-%release

%files -n %libname-devel
%defattr(-,root,root)
%dir %_includedir/opensync-1.0
%dir %_includedir/opensync-1.0/opensync/
%_includedir/opensync-1.0/opensync/*.h
%dir %_includedir/opensync-1.0/osengine/
%_includedir/opensync-1.0/osengine/*.h
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%description -n %libname-devel
Libraries and includes files for developing programs based on %name.


%package -n %name-python
Summary:	Python binding for %name
Group:		Development/Python
Provides:	opensync-python

%files -n %name-python
%defattr(-,root,root)
%python_sitearch/*

%description -n %name-python
Python bindings for %name

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1 -b .automake-1_13
%patch7 -p0 -b .buildfix

%build
autoreconf -vfi
#libopensync doesn't compile with glib > 2.32 because of -Werror=deprecated-declarations
#so we need to disable that error
CFLAGS=' -Wno-error=deprecated-declarations'
export CFLAGS


%configure2_5x PYTHON=%{_bindir}/python \
    --enable-python \
    --disable-debug \
    --enable-engine \
    --enable-tools

%make pythondir=%python_sitearch

%install
rm -rf %buildroot
%makeinstall_std pythondir=%python_sitearch
find %{buildroot} -name "*.la" -delete

###chrpath -d %buildroot%_bindir/*
###chrpath -d %buildroot%_libdir/*.so.%major.?.?
###chrpath -d %buildroot%python_sitearch/_opensync.so

###rm -f %{buildroot}%{py_platsitedir}/opensync.py
###install %{SOURCE1} %{buildroot}%{py_platsitedir}/opensync.py

%clean
rm -rf %buildroot


%changelog
* Sat Nov 22 2014 pinoc <vogtpet at gmail.com> 0.22-6pclos2014
- rebuild for 32/64
- added MGA patches
- removed la-files

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 0.22-5pclos2010
- rebuild

* Tue Apr 14 2009 pcserver <pcserver@hushmail.com> 0.22-4pclos2007
- rebuild

* Fri Mar 20 2009 Texstar <texstar@gmail.com> 0.22-3pclos2007
- rebuild

* Sat Jul 05 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.22-2pclos2007
- Rebuild

* Mon Mar 26 2007 José Melo <mmodem00@gmail.com> 0.22-1pclos2007
- First build (version 0.22)
